import { EventEmitter } from "../../../../../../stencil-public-runtime";
import * as langly from "langly";
import { Notice } from "smoothly";
import { Merchant } from "@payfunc/model-acquirer";
export declare class IntergiroMerchantRules {
  element: HTMLElement;
  t: langly.Translate;
  merchant: Merchant;
  state: "view" | "add";
  audience: "private" | "agent";
  master: boolean;
  notice: EventEmitter<Notice>;
  merchantUpdated: EventEmitter;
  componentWillLoad(): Promise<void>;
  handleCanceled(): void;
  private updateMerchant;
  handleDeleted(event: CustomEvent<{
    key: string;
    value: string;
  }>): Promise<void>;
  handleEdit(event: CustomEvent<{
    key: string;
    oldValue: string;
    newValue: string;
  }>): Promise<void>;
  handleAdd(event?: CustomEvent): void;
  render(): any[];
}
